Bug 1119288 - Review Request: pipelight-selinux - SELinux-policy-module for pipelight
Summary: Review Request: pipelight-selinux - SELinux-policy-module for pipelight
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1119176 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 12:42 UTC by Björn 'besser82' Esser
Modified: 2014-08-15 02:33 UTC (History)
1 user (show)

Fixed In Version: wine-1.7.22-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-14 19:12:39 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1119302 None None None Never

Internal Links: 1119302

Description Björn 'besser82' Esser 2014-07-14 12:42:51 UTC
Description:

  SELinux-policy-module for pipelight


Koji Builds:

  rawhide:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7136987

Issues:

  fedora-review shows no obvious issues.  AFAIK there might be some false
  positives from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  http://besser82.fedorapeople.org/review/pipelight-selinux.spec
  SRPM URL:  http://besser82.fedorapeople.org/review/pipelight-selinux-0.1.0-1.fc22.src.rpm


Many thanks for the review in advance!  ^^

Comment 1 Björn 'besser82' Esser 2014-07-14 12:44:29 UTC
*** Bug 1119176 has been marked as a duplicate of this bug. ***

Comment 2 Björn 'besser82' Esser 2014-07-14 13:10:58 UTC
==== NOTE ====

  Package must own all directories that it creates.
  Note: Directories without known owners: /usr/share/selinux/targeted,
        /usr/share/selinux/mls, /usr/share/selinux/minimum

This is a bug in selinux-policy!  As stated here [1] those dirs should be owned by it…  I will file a bug against selinux-policy about this.

[1]  https://fedoraproject.org/wiki/SELinux_Policy_Modules_Packaging_Draft#Runtime_Dependencies

Comment 3 Björn 'besser82' Esser 2014-07-14 13:17:07 UTC
Filed bug about proper directory-ownership against selinux-policy.

Comment 4 Florian "der-flo" Lehner 2014-07-14 14:15:21 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/selinux/targeted,
     /usr/share/selinux/mls, /usr/share/selinux/minimum
   ---> https://bugzilla.redhat.com/show_bug.cgi?id=1119288#c2
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7137344
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pipelight-selinux-0.1.0-1.fc21.noarch.rpm
          pipelight-selinux-0.1.0-1.fc21.src.rpm
pipelight-selinux.noarch: W: cross-directory-hard-link /usr/share/selinux/mls/pipelight.pp /usr/share/selinux/minimum/pipelight.pp
pipelight-selinux.noarch: W: cross-directory-hard-link /usr/share/selinux/targeted/pipelight.pp /usr/share/selinux/mls/pipelight.pp
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint pipelight-selinux
pipelight-selinux.noarch: W: cross-directory-hard-link /usr/share/selinux/mls/pipelight.pp /usr/share/selinux/minimum/pipelight.pp
pipelight-selinux.noarch: W: cross-directory-hard-link /usr/share/selinux/targeted/pipelight.pp /usr/share/selinux/mls/pipelight.pp
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
pipelight-selinux (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/semodule
    pipelight
    selinux-policy



Provides
--------
pipelight-selinux:
    pipelight-selinux



Source checksums
----------------
https://github.com/besser82/pipelight-selinux/archive/v0.1.0.tar.gz#/pipelight-selinux-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 7f884ce57e8d3dd9b7dbbc902cd90c8e68bb9ef5cd4d96f5f17f2c086b223f47
  CHECKSUM(SHA256) upstream package : 7f884ce57e8d3dd9b7dbbc902cd90c8e68bb9ef5cd4d96f5f17f2c086b223f47


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1119288
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
APPROVED

Comment 5 Björn 'besser82' Esser 2014-07-14 14:19:59 UTC
Many thanks for the quick review, Florian!

---------------------

New Package SCM Request
=======================
Package Name: pipelight-selinux
Short Description: SELinux-policy-module for pipelight
Upstream URL: https://github.com/besser82/pipelight-selinux/
Owners: besser82 
Branches: epel7 f19 f20 f21
InitialCC:

Comment 6 Gwyn Ciesla 2014-07-14 18:05:51 UTC
Git done (by process-git-requests).

Comment 7 Björn 'besser82' Esser 2014-07-14 19:12:39 UTC
Package imported and built for rawhide.

Comment 8 Fedora Update System 2014-07-15 09:25:26 UTC
pipelight-0.2.7.1.1-0.14.git20140714.61348bc7adad.fc20,pipelight-selinux-0.1.0-1.fc20,wine-1.7.22-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pipelight-0.2.7.1.1-0.14.git20140714.61348bc7adad.fc20,pipelight-selinux-0.1.0-1.fc20,wine-1.7.22-3.fc20

Comment 9 Fedora Update System 2014-07-15 09:28:59 UTC
pipelight-0.2.7.1.1-0.14.git20140714.61348bc7adad.fc19,pipelight-selinux-0.1.0-1.fc19,wine-1.7.22-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pipelight-0.2.7.1.1-0.14.git20140714.61348bc7adad.fc19,pipelight-selinux-0.1.0-1.fc19,wine-1.7.22-3.fc19

Comment 10 Fedora Update System 2014-08-07 15:27:40 UTC
pipelight-0.2.7.3-1.fc20, pipelight-selinux-0.2.1-2.fc20, wine-1.7.22-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-08-15 02:33:28 UTC
wine-1.7.22-3.fc19, pipelight-0.2.7.3-1.fc19, pipelight-selinux-0.2.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.